Package org.eclipse.net4j.util.properties

# Interface IProperties<RECEIVER>

All Superinterfaces:
  `IPropertyProvider<RECEIVER>`

All Known Implementing Classes:
  `DefaultPropertyTester`, `Properties`

public interface IProperties<RECEIVER> extends IPropertyProvider<RECEIVER>
Contains a list of `properties`.

Since:
  3.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Property<RECEIVER> property)`
`Property<RECEIVER>`
`getProperty(String name)`
`Class<RECEIVER>`
`getReceiverType()`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertyProvider

`getProperties`

## Method Details

### getReceiverType

Class<RECEIVER> getReceiverType()

### getProperty

Property<RECEIVER> getProperty(String name)

### add

void add(Property<RECEIVER> property)